# Asterisk Project : Asterisk 13 AGICommand_say number

Created by wikibot on Aug 08, 2014

# SAY NUMBER

### Synopsis

Says a given number.

### Description

Say a given number, returning early if any of the given DTMF digits are received on the channel. Returns `0` if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or `-1` on error/hangup.

### Syntax

    SAY NUMBER NUMBER ESCAPE_DIGITS GENDER

##### Arguments

- `number`
- `escape_digits`
- `gender`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538